function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

/**
 * Returns all of the distinct values of the given arrays.
 * @signature distinctN :: [a] -> [b] -> ...[n] -> [m]
 * @func
 * @example
 * distinctN([ 1, 2 ], [ 2, 3, 4 ], [ 4, 5 ]) // [ 1, 2, 3, 4, 5 ]
 */
var distinctN = function distinctN() {
  for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }

  return [].concat(_toConsumableArray(new (Function.prototype.bind.apply(Set, [null].concat(args)))()));
};

export default distinctN;