function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

import curry from './../curry';
import isArray from './../util/isArray';

// Returns a list of elements that exist in both arrays.
//
// intersection([ 1, 2, 3 ], [ 4, 3, 2 ]);
// >> [ 2,3 ]
//
export default /*#__PURE__*/curry(function (a, b) {
  var s = isArray(b) ? new Set(b) : new Set();

  return isArray(a) ? a.filter(function (x) {
    return s.has(x);
  }) : [].concat(_toConsumableArray(s));
});