var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

/**
 * Determines if the given value is an object.
 * @signature isObject :: a -> Boolean
 * @func
 * @example
 * isObject({ a: 'b' })  // true
 * isObject([1, 2, 3])  // false
 */
var isObject = function isObject(value) {
  return value != null && !Array.isArray(value) && (typeof value === 'undefined' ? 'undefined' : _typeof(value)) === 'object';
};

export default isObject;