function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

import curry from './../curry';
import isArray from './../util/isArray';
import clone from './../util/clone';

// push(5, [ 1, 2, 3, 4 ]);
// >> [ 1, 2, 3, 4, 5 ]
//
// push(5)
// >> [5]
//
export default /*#__PURE__*/curry(function (val, arr) {
  return isArray(arr) ? [].concat(_toConsumableArray(clone(arr)), [val]) : [val];
});