function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

import curry from './../curry';
import isArray from './../util/isArray';

// Returns every element that exists in any of the two arrays once.
//
// union([ 1, 2, 3 ], [ 4, 3, 2 ]);
// >> [ 1, 2, 3, 4 ]
//
export default /*#__PURE__*/curry(function (a, b) {
  return Array.from(new Set([].concat(_toConsumableArray(isArray(a) ? a : []), _toConsumableArray(isArray(b) ? b : []))));
});