function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

import curry from './../curry';
import isArray from './../util/isArray';
import clone from './../util/clone';

// unshift(0, [ 1, 2, 3, 4 ])
// >> [ 0, 1, 2, 3, 4 ]
//
// unshift(0)
// >> [0]
//
export default /*#__PURE__*/curry(function (val, arr) {
  return isArray(arr) ? [val].concat(_toConsumableArray(clone(arr))) : [val];
});